List transactions
curl --request GET \
--url https://api.tandapay.io/api/b2b/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": [
{
"transactionId": "aB3dE5fG7hJ9kL1mN2pQ",
"externalReference": "order_10045",
"type": "deposit",
"method": "mpesa",
"amount": 1500,
"currency": "KES",
"status": "SUCCESSFUL",
"chargeStatus": "successful",
"thirdPartyReference": "TJS4K2LM9P",
"phoneNumber": "254712345678",
"fullTimestamp": "2026-10-28T09:14:22.000Z"
}
]
}{
"success": false,
"message": "Unauthorized"
}Transactions
List transactions
List recent transactions, up to 10 per page.
GET
/
api
/
b2b
/
transactions
List transactions
curl --request GET \
--url https://api.tandapay.io/api/b2b/transactions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": [
{
"transactionId": "aB3dE5fG7hJ9kL1mN2pQ",
"externalReference": "order_10045",
"type": "deposit",
"method": "mpesa",
"amount": 1500,
"currency": "KES",
"status": "SUCCESSFUL",
"chargeStatus": "successful",
"thirdPartyReference": "TJS4K2LM9P",
"phoneNumber": "254712345678",
"fullTimestamp": "2026-10-28T09:14:22.000Z"
}
]
}{
"success": false,
"message": "Unauthorized"
}Authorizations
Token from Generate bearer token.
Query Parameters
Filter by type. Payouts are withdrew.
Available options:
deposit, withdrew, refund Filter by status.
Available options:
pending, successful, failed Filter by your reference.
From this date, YYYY-MM-DD.
To this date, YYYY-MM-DD.
Filter by currency.
Available options:
KES Results per page (1–10).
Required range:
1 <= x <= 10Return transactions after this ID (pagination cursor).

